Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class ExecutionConstructorMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.ConstructorMatcher
              org.jboss.aop.pointcut.ExecutionConstructorMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class ExecutionConstructorMatcher
extends ConstructorMatcher

Comment

Version:
  $Revision: 1.7 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.pointcut.ConstructorMatcher
`advisor, classname, conModifiers, ctCon, refCon`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`ExecutionConstructorMatcher(Advisor advisor, Constructor con, ASTStart start)`
`ExecutionConstructorMatcher(Advisor advisor, javassist.CtConstructor con, ASTStart start)`

Method Summary
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTExecution node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHas node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.ConstructorMatcher
`matches, visit, visit`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionConstructorMatcher

    public ExecutionConstructorMatcher(Advisor advisor,
                                       javassist.CtConstructor con,
                                       ASTStart start)
                                throws javassist.NotFoundException

### ExecutionConstructorMatcher

    public ExecutionConstructorMatcher(Advisor advisor,
                                       Constructor con,
                                       ASTStart start)

Method Detail

### visit

    public Object visit(ASTExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHas node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Overrides:
    `resolvePointcut` in class `ConstructorMatcher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.